<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ijw="http://www.istandaarden.nl/ijw/3_0/basisschema/schema"
                xmlns:jw303="http://www.istandaarden.nl/ijw/3_0/jw303/schema"
                xmlns:jw304="http://www.istandaarden.nl/ijw/3_0/jw304/schema"
                xmlns:jw323="http://www.istandaarden.nl/ijw/3_0/jw323/schema"
                xmlns:jw325="http://www.istandaarden.nl/ijw/3_0/jw325/schema"
		    >

    <!-- iJw 3.0 CD060 version 2.1.7 (2020-09-29) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CD060"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CD060"/>
    </xsl:template>

    <xsl:template match="jw303:Prestatie" mode="CD060">
        <xsl:call-template name="checksame">
        	<xsl:with-param name="pThis" select="jw303:IngediendeBedragPrestatie/ijw:DeclaratieFactuurBedrag/ijw:DebetCredit"/>
            <xsl:with-param name="pValue1">C</xsl:with-param>
			<xsl:with-param name="pOther" select="jw303:ProductReferentie/ijw:VorigReferentieNummer"/>
            <xsl:with-param name="pValue2">*</xsl:with-param>
            <xsl:with-param name="pRule">CD060</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="jw304:Prestatie" mode="CD060">
        <xsl:call-template name="checksame">
        	<xsl:with-param name="pThis" select="jw304:IngediendeBedragPrestatie/ijw:DeclaratieFactuurBedrag/ijw:DebetCredit"/>
            <xsl:with-param name="pValue1">C</xsl:with-param>
			<xsl:with-param name="pOther" select="jw304:ProductReferentie/ijw:VorigReferentieNummer"/>
            <xsl:with-param name="pValue2">*</xsl:with-param>
            <xsl:with-param name="pRule">CD060</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="jw323:Prestatie" mode="CD060">
        <xsl:call-template name="checksame">
        	<xsl:with-param name="pThis" select="jw323:IngediendBedrag/ijw:DebetCredit"/>
            <xsl:with-param name="pValue1">C</xsl:with-param>
			<xsl:with-param name="pOther" select="jw323:ProductReferentie/ijw:VorigReferentieNummer"/>
            <xsl:with-param name="pValue2">*</xsl:with-param>
            <xsl:with-param name="pRule">CD060</xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    
    <xsl:template match="jw325:Prestatie" mode="CD060">
        <xsl:call-template name="checksame">
        	<xsl:with-param name="pThis" select="jw325:IngediendBedrag/ijw:DebetCredit"/>
            <xsl:with-param name="pValue1">C</xsl:with-param>
			<xsl:with-param name="pOther" select="jw325:ProductReferentie/ijw:VorigReferentieNummer"/>
            <xsl:with-param name="pValue2">*</xsl:with-param>
            <xsl:with-param name="pRule">CD060</xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    
</xsl:stylesheet>
