<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ijw="http://www.istandaarden.nl/ijw/3_0/basisschema/schema"
	xmlns:jw301="http://www.istandaarden.nl/ijw/3_0/jw301/schema"
	xmlns:jw315="http://www.istandaarden.nl/ijw/3_0/jw315/schema"
	xmlns:jw317="http://www.istandaarden.nl/ijw/3_0/jw317/schema"
	>

	<!-- iJw 3.0 CD080 version 2.1.7 (2020-09-29) -->

	<xsl:import href="../common/basis.xsl" />
	<xsl:template match="*" mode="CD080" />
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD080" />
	</xsl:template>

	<xsl:template match="jw301:ToegewezenProduct//jw301:Omvang" mode="CD080">
		<xsl:if test="not(ancestor-or-self::jw301:ToegewezenProduct/jw301:Einddatum) or number(translate(ancestor-or-self::jw301:ToegewezenProduct/jw301:Einddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">#</xsl:with-param>
				<xsl:with-param name="pOther" select="ancestor-or-self::jw301:ToegewezenProduct/jw301:Product/ijw:Code" />
				<xsl:with-param name="pValue2">*</xsl:with-param>
				<xsl:with-param name="pRule">CD080</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::jw301:ToegewezenProduct/jw301:Einddatum" />
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw315:AangevraagdProduct//jw315:Omvang" mode="CD080">
		<xsl:if test="not(ancestor-or-self::jw315:AangevraagdProduct/jw315:ToewijzingEinddatum) or number(translate(ancestor-or-self::jw315:AangevraagdProduct/jw315:ToewijzingEinddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">#</xsl:with-param>
				<xsl:with-param name="pOther" select="ancestor-or-self::jw315:AangevraagdProduct/jw315:Product/ijw:Code" />
				<xsl:with-param name="pValue2">*</xsl:with-param>
				<xsl:with-param name="pRule">CD080</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::jw315:AangevraagdProduct/jw315:ToewijzingEinddatum" />
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
	<!-- 
	<xsl:template match="jw317:TeWijzigenProduct//jw317:Omvang" mode="CD080">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">#</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::jw317:TeWijzigenProduct/jw317:Product/ijw:Code" />
			<xsl:with-param name="pValue2">*</xsl:with-param>
			<xsl:with-param name="pRule">CD080</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::jw301:ToegewezenProduct/jw301:Einddatum" />
		</xsl:call-template>
	</xsl:template>
	 -->
	<xsl:template match="jw317:NieuwProduct//jw317:Omvang" mode="CD080">
		<xsl:if test="not(ancestor-or-self::jw317:NieuwProduct/jw317:Einddatum) or number(translate(ancestor-or-self::jw317:NieuwProduct/jw317:Einddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">#</xsl:with-param>
				<xsl:with-param name="pOther" select="ancestor-or-self::jw317:NieuwProduct/jw317:Product/ijw:Code" />
				<xsl:with-param name="pValue2">*</xsl:with-param>
				<xsl:with-param name="pRule">CD080</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::jw317:NieuwProduct/jw317:Einddatum" />
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
